Bug 1430926 - percpu_ida: Use local locks
Summary: percpu_ida: Use local locks
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: kernel-rt
Version: 7.4
Hardware: x86_64
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: John Kacur
QA Contact: Jiri Kastner
URL:
Whiteboard:
: 1428947 (view as bug list)
Depends On:
Blocks: 1353018 1410158
TreeView+ depends on / blocked
 
Reported: 2017-03-09 21:43 UTC by John Kacur
Modified: 2017-08-02 00:25 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-01 19:02:59 UTC
Target Upstream Version:


Attachments (Terms of Use)
percpu_ida: Use local locks (2.94 KB, patch)
2017-03-09 21:55 UTC, John Kacur
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:2077 normal SHIPPED_LIVE Important: kernel-rt security, bug fix, and enhancement update 2017-08-01 18:13:37 UTC

Description John Kacur 2017-03-09 21:43:46 UTC
the local_irq_save() + spin_lock() does not work that well on -RT

Comment 2 John Kacur 2017-03-09 21:55:57 UTC
Created attachment 1261709 [details]
percpu_ida: Use local locks

Comment 4 John Kacur 2017-03-14 13:55:57 UTC
*** Bug 1428947 has been marked as a duplicate of this bug. ***

Comment 7 Jiri Kastner 2017-05-16 10:01:20 UTC
no reproducer, code review only

Comment 9 errata-xmlrpc 2017-08-01 19:02:59 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2077

Comment 10 errata-xmlrpc 2017-08-02 00:25:36 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2077


Note You need to log in before you can comment on or make changes to this bug.